# Uses of Interface
org.apache.sling.api.scripting.SlingScript

Packages that use SlingScript
Package
Description
org.apache.sling.api.scripting

## Uses of SlingScript in org.apache.sling.api.scripting

Methods in org.apache.sling.api.scripting that return SlingScript
Modifier and Type
Method
Description
`@Nullable SlingScript`
SlingScriptResolver.`findScript(@NotNull ResourceResolver resourceResolver, @NotNull String name)`
Deprecated.
Finds the `SlingScript` for the given name.
`@NotNull SlingScript`
SlingScriptHelper.`getScript()`
Returns the `SlingScript` being called to handle the request.